> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-10/v10-1/v10-1-0.md).

# Version 10.1.0 Changelog (2023-05-10)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

* Allow the creation of free text annotations while in Form Builder. Free texts can be created and edited while in this mode, and will no longer get automatically hidden when entering form building.
* Provided an option for `DocumentViewer.startSemanticDiff` to enable "extra move highlights"
* Added support for preloading office editor worker files
* Added APIs to show or hide detached replies (only before calling loadDocument)
* Added APIs for office editor mode to set default cursor position to the start or end of text
* Added triple click support to office editor mode
* Added new API `isInContentEditFocusMode` for the content editing annotations. This checks if the content edit placeholder annotation is in focus mode.

### Fixes

* Fixed issue when during annotationChanged event, loading a document with signature widget and annotation and setting them as read-only would throw an error
* Fixed issue with WebViewer in Ember Framework
* Fixed issue with horizontal text alignment of vertical text of Word documents
* Fixed disableIndexedDB not being used.
* Fixed an issue with annotation numbering when annotations were copied
* Fixed WebViewer option disableObjectUrlBlobs not working for Office Worker files when the Content-Security-Policy (CSP) directive `script-src blob:` is not added as a CSP rule
* Fixed loading new document in office editor mode so that it would reuse existing resources instead of reloading them
* Fixed issue where sometimes the annotation count would not be accurate
* Fixed issue with widget annotations that would occur when there were duplicate ids on different pages
* Fixed dispose error for a removed handler
* Fixed issue with Rectangle annotations rotation issue during the printing with WebViewer Server
* Fixed issue with canvases where new page numbers were being appended to their class names instead of replacing them
* Added default font and size when deserializing XFDF with missing font or font size
* Fixed issue with freetext editing in when virtual display mode is enabled
* Fixed issue with replies not moving with the annotation

## WebViewer UI

### New

* Added ability to search in Settings Modal
* UI performance improvements
* Added setTimezone API for changing timezone of timestamp in the notes panel
* Added a prompt that is displayed confirming whether to follow a link that triggered by an open action
* Added new scroll sync behavior for MultiViewer. Use `UI.setMultiViewerSyncScrollingMode`
* Added API to enable calibration modal button on line measurement annotations
* Added ability to filter annotation viewing from Notes Panel
* Updated the RichTextPopup to allow editing Fonts, Font Size, and Alignment
* Added event 'TAB\_MANAGER\_READY' to signal when Multi-tab APIs are ready to use

### Fixes

* Fixed issue where custom styles on the viewer elements were breaking the annotations drawing and content selection offset
* Fixed issue with add a new tab with the UI in MultiTab
* Fixed issue where style and color sections were not properly opening and collapsing
* Fixed issue where recreating a WebViewer instance would sometimes display an error in the console
* Fixed issue where an error was thrown when trying to edit a freetext after deleting its contents
* Fixed Office PNG downloads having a transparent background instead of white
* Fixed focus loop error generating call stack errors when closing the custom stamp modal in certain cases
* Fixed the `addTab` method documentation
* Fixed issue with the Compare panel not showing multi-page changes
* Fixed issue with the warning modal always showing in Multi-tab with WVS
* Fixed issue with Form Field Indicators causing errors when doing page manipulations
* Fixed issue where the content edit chunk is always loaded even if content editing is not enabled
* Fixed issue where search results in the search panel were not updated when deleting or moving pages
* Fixed `UI.ThumbnailsPanel.unselectPages` API
* Fixed issue where imported distance measurement annotation don't show the caption right away
* Fixed issue with the UI causing FreeTextAnnotations to be resized when they are not set to Auto Size
* Fixed issue where the position of field indicators was in front of modals when it should be behind when they are occupying the same place


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-10/v10-1/v10-1-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
